## tiger-3.1.tar.gz

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  You only need to 'make' tiger if you are planning to run it
#  on a regular basis.
#
#
#------------------------------------------------------------------------
#
# This directory will contain the 'tiger', 'tigercron', 'tigexp'
# scripts, config files, the 'scripts' subdirectory which will
# contain the checking scripts, the platform specific scripts, etc.
# None of this will need to be writable once installed.
#
TIGERHOME=/usr/local/tiger
#
# This directory is used for scratch files while the scripts
# are running.  It can be /tmp.  By using something other
# than /tmp (something used only by the 'tiger' scripts), you
# can easily clean up the occasional dribbles left by 'tiger'
# (report these... don't want anything left laying around).
# 
# Of course, it is necessary that this directory be writable.
#
TIGERWORK=/usr/local/tiger/run
#
# Where do log files go.  This directory must be writable.
#
TIGERLOGS=/usr/local/tiger/log
#
# Where do binary executables go... this is only used if the
# binary executables don't exist in the appropriate platform
# sub-directory under $(TIGERHOME)/systems
#
TIGERBIN=/usr/local/bin
#------------------------------------------------------------------------
#
# End of user customization...
#
#------------------------------------------------------------------------
#

PLATFORM_SCRIPTS:=$(shell find ./systems/ -type f)

BINARIES=./tiger \
	./tigexp 
SCRIPTS= ./tigercron \
	./scripts/check_accounts \
	./scripts/check_aliases \
	./scripts/check_anonftp \
	./scripts/check_cron \
	./scripts/check_devices \
	./scripts/check_embedded \
	./scripts/check_exports \
	./scripts/check_group \
	./scripts/check_inetd \
	./scripts/check_issue \
	./scripts/check_known \
	./scripts/check_logfiles \
	./scripts/check_netrc \
	./scripts/check_network \
	./scripts/check_nisplus \
	./scripts/check_passwd \
	./scripts/check_path \
	./scripts/check_perms \
	./scripts/check_printcap \
	./scripts/check_rhosts \
	./scripts/check_root \
	./scripts/check_rootdir \
	./scripts/check_sendmail \
	./scripts/check_signatures \
	./scripts/check_system \
	./scripts/check_listeningprocs \
	./scripts/check_ftpusers \
	./scripts/check_tcpd \
	./scripts/crack_run \
	./scripts/tripwire_run \
	./scripts/find_files \
	./util/buildbins \
	$(PLATFORM_SCRIPTS)


MISCFILES=./initdefs \
	./check.tbl \
	./syslist \
	./tigerrc \
	./cronrc \
	./util/difflogs \
	./util/flogit \
	./util/genmsgidx \
	./util/getfs-amd \
	./util/getfs-automount \
	./util/getfs-nfs \
	./util/getfs-std \
	./util/gethostinfo \
	./util/getnetgroup \
	./util/logit \
	./util/setsh \
	./util/sgrep

MISCDIRS=./bin \
	./doc \
	./html \
	./man \
	./scripts/sub \
	./systems

all:
	cd c && $(MAKE) all
	cd util && sh doc2html
	./util/genmsgidx

install: 
	cd c && $(MAKE) install
	if [ ! -d $(prefix)/$(TIGERHOME) ]; then \
	  mkdir -p $(prefix)/$(TIGERHOME); \
	  chmod 755 $(prefix)/$(TIGERHOME); \
        fi; \
	if [ ! -d $(prefix)/$(TIGERWORK) ]; then \
	  mkdir -p $(prefix)/$(TIGERWORK); \
	  chmod 755 $(prefix)/$(TIGERWORK); \
	fi; \
	if [ ! -d $(prefix)/$(TIGERLOGS) ]; then \
	  mkdir -p $(prefix)/$(TIGERLOGS); \
	  chmod 755 $(prefix)/$(TIGERLOGS); \
	fi; \
	if [ ! -d $(prefix)/$(TIGERHOME)/scripts ]; then \
	  mkdir $(prefix)/$(TIGERHOME)/scripts; \
	  chmod 755 $(prefix)/$(TIGERHOME)/scripts; \
	fi; \
	if [ ! -d $(prefix)/$(TIGERHOME)/util ]; then \
	  mkdir $(prefix)/$(TIGERHOME)/util; \
	  chmod 755 $(prefix)/$(TIGERHOME)/util; \
	fi; \
	if [ ! -d $(prefix)/$(TIGERBIN) ]; then \
	  mkdir $(prefix)/$(TIGERBIN); \
	  chmod 755 $(prefix)/$(TIGERBIN); \
	fi; \
        for dir in $(MISCDIRS); do \
	  tar cf - $$dir | (cd $(prefix)/$(TIGERHOME); tar xpf -); \
	done; \
	for file in $(MISCFILES); do \
	  cp -p $$file $(prefix)/$(TIGERHOME)/$$file; \
	done; \
	for file in $(BINARIES); do \
	  cp -p $$file $(prefix)/$(TIGERBIN)/$$file; \
	  chmod 755 $(prefix)/$(TIGERBIN)/$$file ; \
	done; \
	for file in $(SCRIPTS); do \
	  sed -e 's%^TigerInstallDir=.*$$%TigerInstallDir="'$(TIGERHOME)'"%' \
	      $$file > $(prefix)/$(TIGERHOME)/$$file;\
	  chmod 755 $(prefix)/$(TIGERHOME)/$$file; \
	done; \
	sed -e 's%^TigerLogDir=.*$$%TigerLogDir="'$(TIGERLOGS)'"%' \
	    -e 's%^TigerWorkDir=.*$$%TigerWorkDir="'$(TIGERWORK)'"%' \
	    -e 's%^TigerBinDir=.*$$%TigerBinDir="'$(TIGERBIN)'"%' \
	    ./config > $(prefix)/$(TIGERHOME)/config; \
	chmod 644 $(prefix)/$(TIGERHOME)/config;
	(cd $(prefix)/$(TIGERHOME); ./util/genmsgidx doc/*.txt)

clean: 
	cd c && $(MAKE) clean
	-find bin/ -type f -exec rm -f {} \;
	-rm -f man/index.bt config.{status,log,cache}

distclean: clean
	cd c && $(MAKE) distclean 
	-find log/ -type f -exec rm -f {} \;
	-find run/ -type f -exec rm -f {} \;
	-rm -f Makefile configure

=== debian/changelog ===
tiger (3.1-1) unstable; urgency=low

  * New upstream release which includes some fixes for Debian bugs
  such as the "don't regenerate index" (Closes: #162590)
  * Made debian/rules update automatically the advisories file (which
  is now named debian_advisories so the previous chmod -x is not needed)
  * Automatically remove CVS dirs from the package (Closes: #154343)
  * Fixed bashisms in check_rcumask (Closes: #159444)
  * Changed check_passwd to not send false positives in Debian, it should
  be fixed, however to support PAM too (Closes: #162593)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 25 Jul 2002 19:37:41 +0200

tiger (3.0-1) unstable; urgency=low

  * New upstream release (based on savannah sources)
  * Fix in order for deb_checkmd5sums to work with all sources (it was
    limited due to a stupid bug)
  * Included latest DSA advisories
  * The new package provides a *very* short diff since changes regarding
  Debian are added to the upstream sources too.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jun 2002 13:28:18 +0200

tiger (2.2.4p2-5) unstable; urgency=low

  * Added a GPL header to all the important scripts/files used by the
    program (this means /, /scripts and /systems/{default,Linux}.
    This was a requirement for adding tiger as a new project to the
    savannah site.
    (probably next upstream version and Debian diff file will be 
    reduced since I intend to make the current Debian codebase 
    upstream's 2.2.4p3)
  * Added a new check scripts/check_runprocs (not currently configured to
    run since it needs sysadmin to configure tigerrc properly to determine
    which processes should be checked for)
  * Added some more information to the README.Debian file and rewrote
    some paragraphs.
  * Written some notes on how to use Tiger as a host IDS.
  * Chmod'ed many scripts in order to avoid lintian warnings.
  * Changed tiger so it first reads tigerrc in the local directory 
  (useful for testing the package without installing or to use the tar.gz
  in other environments)
  * Fixed the scripts/check_anon in order to test if ftphome/etc/passwd
  exists before grep'ing it.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jun 2002 23:02:12 +0200

tiger (2.2.4p2-4) unstable; urgency=low

  * Incorporated TARA changes including:
    - Changed acc006 from FAIL to WARN (scripts/check_accounts).
    - Added -H option for HTML output.
    - Fixed scripts/check_cron for problems in entries.
    - Fixed scripts/check_exports to avoid false positives.
    - Fixed scripts/check_path due to problems with parse_csh.
    - Change scripts/check_perm to not warn when owner is bin and 
      changed calls of echo to message().
    - Made some of the changes provided by ARC in scripts/check_inetd
     (save for the SORT and JOIN changes which do not seem to work)
    - Changed scripts/sub/check_devs to work with IRIX 6.5
    - Changed GROUPS to GROUPSS as ARC team does since it (might)
      be a readonly variable in some shells (see bash(1)). Even though
     it is not used in any script.
     
  * Created a new package to provide all the scripts for other operating
    systems (Warning: you still need to compile the C programs: getpermit,
    md5, realpath, snefru and testsuid in those platforms for tiger to work
    fully).
  * Added Tiger_Check_SYSTEM to the distributed tigerrc
  * Added some Linux specific checks (gdm, xdm) in scripts/check_root
  * Created (new) systems/Linux/2/check_inittab script (for ctraltdel issue
    from Bastille).
  * Created (new) systems/Linux/2/check_rcumask script to check umask settings
    for the RC boot scripts.
  * Created (new) scripts/check_ftpusers script to check for administrative
    users that are allowed access in the FTP server.
  * Created (new) scripts/check_tcpd script to check for changes in the
    way inetd services are being protected through the use of tcp_wrappers.
    This script has been written based on check_inetd.
  * Modified scripts/check_sendmail to check for sendmail.cf's banner
  * Note. This new scripts have not been added to the cron entry. They will 
    only be run when running the 'tiger' script.

  * Written some README files: howto write modules (README.writemodules),.
    how much time does it take for scripts to run (README.time), and
    information on making signatures (README.signatures)
  
  * Changed tigexp to work if issued -F with no second argument

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 26 May 2002 01:58:53 +0200

tiger (2.2.4p2-3) unstable; urgency=low

  * Fixed typo in spanish template description.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 14 May 2002 13:49:33 +0200

tiger (2.2.4p2-2) unstable; urgency=low

  * Fixed filesystem permissions (execution bit) for Linux specific
    scripts
  * Changed scripts/check_anon to avoid error when checking for
    $ftphome/etc/passwd.
  * Updated security advisories.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 10 May 2002 09:55:41 +0200

tiger (2.2.4p2-1) unstable; urgency=low

  * This is the "I finally merged with Bryan Gartner's tarball" release
  * Cosmetic upgrade in version number due to too many changes in the
    sytem specific checks (AIX, Solaris et al.) derivated from tara sources.
    (thus this release might be labeled "new upstream", avoid 2.2.4p1 since
    it is used in TAMU's distribution)
  * Updated to latest debian DSAs.
  * Next release will have a new package to provide all the scripts for 
    other Operating systems so that a central Debian server can be used 
    with network filesystems as a single point of script distribution.
  * Included tara's new check and scripts checks: devices, issue, 
    lilo, logfiles, network, patches, release, root, rootdir, single and
    tripwire_run (this last one is deactivated in Debian since 
    the package, if installed, will do the checks)


=== debian/control ===
Source: tiger
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper
Standards-Version: 3.0.1

Package: tiger
Architecture: any
Depends: diff (>=2.0), net-tools, shellutils (>=1.1.14-1), fileutils (>=3.14-1), textutils (>=1.20-1), debconf, ${shlibs:Depends}
Recommends: binutils, sendmail | mail-transport-agent, john
Suggests: lsof
Description: Report system security vulnerabilities
 TIGER, or the 'tiger' scripts, is a set of Bourne shell 
 scripts, C programs and data files which are used to perform
 a security audit of UNIX systems.  TIGER has one primary goal:
 report ways 'root' can be compromised.
 . 
 Debian's TIGER incorporates new checks primarily oriented towards
 Debian distribution including: md5sums checks of installed files,
 location of files not belonging to packages, check of security
 advisories and analysis of local listening processes.

Package: tiger-otheros
Architecture: any
Depends: tiger
Description: Scripts to run Tiger in other operating systems
 TIGER, or the 'tiger' scripts, is a set of Bourne shell 
 scripts, C programs and data files which are used to perform
 a security audit of UNIX systems.  TIGER has one primary goal:
 report ways 'root' can be compromised.
 . 
 This package provides all the scripts for operating systems other
 than Linux provided for in the Tiger distribution. It is provided
 in the hope it will be useful for admins that wish to run tiger
 in a distributed environment sharing this files through the network
 (e.g. NFS).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	autoconf
	./configure --with-tigerhome=/usr/lib/tiger --with-tigerwork=/var/run/tiger/work --with-tigerlog=/var/log/tiger --with-tigerbin=/usr/sbin --with-tigerconfig=/etc/tiger
	$(MAKE) all

	# For DSAs
	cd systems/Linux/2 && sh update_advisories.sh

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ -f Makefile ] && $(MAKE) distclean || $(MAKE) -f Makefile.in distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=debian/tmp/
	chmod a+x debian/tmp/usr/lib/tiger/systems/Linux/2/{deb,gen,check}_*
	# Remove the systems that do not apply. 
	# Currently only Linux and default
	# AIX/  default/  HPUX/  IRIX/  Linux/  NeXT/  SunOS/  UNICOS/ UNICOSMK
	# TODO: make this for all dirs save for Linux and default (i.e.
	# make this 'mv' more generic)
	#	mv debian/tmp/usr/lib/tiger/systems/{AIX,HPUX,IRIX,NeXT,SunOS,UNICOS,UNICOSMK} debian/tiger-otheros/usr/lib/tiger/systems/
	#install -m 755 debian/tiger debian/tmp/usr/sbin/
	#install -m 755 debian/tigexp debian/tmp/usr/sbin/
	install -m 755 tigercron debian/tmp/usr/lib/tiger/
	install -m 600 cronrc debian/tmp/etc/tiger/
	install -m 600 tigerrc debian/tmp/etc/tiger/
	install -m 644 version.h debian/tmp/usr/lib/tiger/
	find debian/tmp/ -type d -name "CVS" -exec rm -rf {} \;


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples tigerrc* site* cronrc
	dh_installmenu
	dh_installcron
	dh_installman man/tiger.8 man/tigexp.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip -XHPUX -XSunOS -XAIX -XHPUX -XIRIX -XNeXT
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -XHPUX -XSunOS -XAIX -XHPUX -XIRIX -XNeXT 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
